<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index__"></a>- _ -</h3><ul>
<li>__init__()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#ac441529c0cc6f97fc1c48d8d44f253f2">Osim2URDF</a>
, <a class="el" href="classpyopsim_1_1OsimModel.html#a32919a7775b3ec618c19b78bb8729ff5">OsimModel</a>
</li>
</ul>


<h3><a id="index_a"></a>- a -</h3><ul>
<li>approx_effort
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a251ca4ac77557e16c4e32aba05a92d62">Osim2URDF</a>
</li>
<li>approx_velocity
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a51da8e68d8bd522c6daacb4dc3e67c50">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>bpart
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a918d0ef2f115babaac60646e6e736076">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>checkMuscularEffort()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a8b66a346f637e476882980fe3d2d5a64">Osim2URDF</a>
</li>
<li>compl_ik_path
: <a class="el" href="classpyopsim_1_1OsimModel.html#acbfaf7148ed4a359753fb9778a6d7672">OsimModel</a>
</li>
<li>correc_stl_dic
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a27dbffa1687bc480f4f4a42987059465">Osim2URDF</a>
</li>
<li>createSTLfiles()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a27f603792aeacc9c13f6d936557fa77a">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>D_body_pos
: <a class="el" href="classpyopsim_1_1OsimModel.html#a85fef58ab42139eacb8447b7877efce5">OsimModel</a>
</li>
<li>D_coord_joints
: <a class="el" href="classpyopsim_1_1OsimModel.html#ac9cc607588687b45adf5b4375556aaa7">OsimModel</a>
</li>
<li>D_gd_prop
: <a class="el" href="classpyopsim_1_1OsimModel.html#a34a4a816e61e3f1736c00c702952f589">OsimModel</a>
</li>
<li>D_joints_coord
: <a class="el" href="classpyopsim_1_1OsimModel.html#af28c923a4294b207b08e28dd56d2ed22">OsimModel</a>
</li>
<li>D_joints_pos
: <a class="el" href="classpyopsim_1_1OsimModel.html#a7486798388859d931446ac93e5b5d5e8">OsimModel</a>
</li>
<li>D_joints_range
: <a class="el" href="classpyopsim_1_1OsimModel.html#a434c26fc6e748829e0ae0cb2b0080661">OsimModel</a>
</li>
<li>D_joints_value
: <a class="el" href="classpyopsim_1_1OsimModel.html#a47d05410881806ad1a55788afe00459f">OsimModel</a>
</li>
<li>D_jp
: <a class="el" href="classpyopsim_1_1OsimModel.html#a26f66fa9d9cb8ff3958164d6e6caf797">OsimModel</a>
</li>
<li>D_Q_coord
: <a class="el" href="classpyopsim_1_1OsimModel.html#a9265e92b4b23ffe0b87690a0285ae92a">OsimModel</a>
</li>
<li>dic_body
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a69767ec321ccef6e3370be43e437e00a">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>exactly_collision
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a0e0e68b3bdd3f1248b0b278e434fc90f">Osim2URDF</a>
</li>
<li>exactly_visual
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#ad143f53e4f83b6d81380060156d750f2">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>fake_in
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#aeee11a50a3c5740b7a7c0c37ec346fef">Osim2URDF</a>
</li>
<li>fake_mass
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#af290f2c18b9e09584fcff551df5bbf96">Osim2URDF</a>
</li>
<li>find_mins_maxs()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a48461e889b23057b565deea3475e719f">Osim2URDF</a>
</li>
<li>free_flyer
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#aaf87908d1cda934e1686c122b7a18ed1">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>geometry_path
: <a class="el" href="classpyopsim_1_1OsimModel.html#acb7429e8b1db51f15884b09f2e0e921e">OsimModel</a>
</li>
<li>getSTLApproximation()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a2d3386b0230d29b1e224c67080965e24">Osim2URDF</a>
</li>
<li>ground_type
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a85486f50fb76af332bd90f84079faee6">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>ident
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a2fe57e2d3d2cba9a3aeba2f629eaa78b">Osim2URDF</a>
</li>
<li>ident_size
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a3509861d9e8bb8becf57f2e2205babea">Osim2URDF</a>
</li>
<li>ident_trans
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#abae12942907b5c6f4793303799356689">Osim2URDF</a>
</li>
<li>idx
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a49654e4709f40aecccada266daa32fc6">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_j"></a>- j -</h3><ul>
<li>joint_models
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a74290a28e904c5f1f02d364b7bc07135">Osim2URDF</a>
</li>
<li>joint_transformations
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a6e727d21dc5d5f22228b3fc3128cc3f7">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>L_rot
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#aba63892df47e09193b67381ac5511c8f">Osim2URDF</a>
</li>
<li>launchfile_add
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#aae725670f408a159b7e619f8bb4c6b09">Osim2URDF</a>
</li>
<li>launchfile_name
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a215658c9565f4c3960ee86a3cd0ab4ef">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>M_forces
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a79713fe640286326f6732ecc5f552cdc">Osim2URDF</a>
</li>
<li>model_name
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#aa4f7e1d166d82a812e6b3d28096a1d85">Osim2URDF</a>
</li>
<li>model_path
: <a class="el" href="classpyopsim_1_1OsimModel.html#a4d5bb0c360b13429f65cd327c8d0aa12">OsimModel</a>
</li>
<li>motion_file
: <a class="el" href="classpyopsim_1_1OsimModel.html#a2dc74f12fb449f1ea4d5c1496851cb15">OsimModel</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>osim_filename
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a87faa527760b844c4e88d89b48174890">Osim2URDF</a>
</li>
<li>osim_path
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a9f54d2dc5d4fa370b21318fc2048ca16">Osim2URDF</a>
</li>
<li>osimModel
: <a class="el" href="classpyopsim_1_1OsimModel.html#a889532bd111eec9521fc0970d0e201be">OsimModel</a>
</li>
<li>osimState
: <a class="el" href="classpyopsim_1_1OsimModel.html#ac9fdcc0d58ae4d643bdaf405dbbf3207">OsimModel</a>
</li>
<li>osMpi
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a867dd9de7dbe4a0dae61233f773567f4">Osim2URDF</a>
</li>
<li>osMpi_rpy
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a05292cedbe25b142d65bd8dc74b66293">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>package_name
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a4e9f9e96068c3dbf50b80eff7ad568ab">Osim2URDF</a>
</li>
<li>package_path
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a34006181fbe1b1e4a989cc5b25ccedc8">Osim2URDF</a>
</li>
<li>position_controller
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#ae5181f9040d34644c5e894bd10696734">Osim2URDF</a>
</li>
<li>pwd_begin_launchfile
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a8a3a35a3d7a6d53a62737d6898ac68b7">Osim2URDF</a>
</li>
<li>pymodel
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#ae2d2414dfd5b61f10412f4025c787306">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>runIK()
: <a class="el" href="classpyopsim_1_1OsimModel.html#a18989969f22d1e18f28773073a74acad">OsimModel</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>secure_collision
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#aa2f2b0beb5baed47e37220c98ece96e3">Osim2URDF</a>
</li>
<li>setQ()
: <a class="el" href="classpyopsim_1_1OsimModel.html#a4101f31b991a0cf3175ba326ed7fb94d">OsimModel</a>
</li>
<li>stl_path
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#ad558ffb3171e386b285050445ffde295">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>trans_plugin
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#acc9ec4d0c1951c3b10cbf14cc5f97e9c">Osim2URDF</a>
</li>
<li>transformOsMpi_visu()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#ae08d15aa02272faad5bb9d129e5195c9">Osim2URDF</a>
</li>
<li>trc_path
: <a class="el" href="classpyopsim_1_1OsimModel.html#ae8a9086a8cf5fa70d76bba969becc9b2">OsimModel</a>
</li>
<li>type_stl_conversion
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a2f2ba6d900b1f18f65dd7af0d6a3738c">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>updModel()
: <a class="el" href="classpyopsim_1_1OsimModel.html#a69582ad715e9c2efbabd2ae864e1439b">OsimModel</a>
</li>
<li>urdf_filename
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a6224f4c93a9b05af6bb4be39dadc5be4">Osim2URDF</a>
</li>
<li>urdf_path
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#aff9a753257930c8a7cf4154d1db4fb46">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>verbose
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#aa9e289eddb591991c9bc7321dc5b186b">Osim2URDF</a>
</li>
<li>vtp_path
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a14b6c255e88e6bed45a209ce767dd623">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>writeApproximation()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#ad30682855052cbf715da98edd142cb52">Osim2URDF</a>
</li>
<li>writeExact()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a1b24c47e55b6bd27883029a24d88b31f">Osim2URDF</a>
</li>
<li>writeFakeLink()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a3192ebfe37c241f2c79b60de746d748b">Osim2URDF</a>
</li>
<li>writeJoint()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a72a6370d0c124efc84ba57bca0751b8d">Osim2URDF</a>
</li>
<li>writeLaunchFile()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a1a06e16f97e34c7d89150ee89f5b0ca0">Osim2URDF</a>
</li>
<li>writeLinkVisuals()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a77a8cf16ce6fcbd2fc537f72d73b177e">Osim2URDF</a>
</li>
<li>writeMeshFile()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a37bcefb7a19d160bc5cdfd709ed69ce8">Osim2URDF</a>
</li>
<li>writeModelToURDF()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a7dc16da66cd82e93f836e58f6011c882">Osim2URDF</a>
</li>
<li>writeMultipleDimensionJoint()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a07b8ea96209e552db6d13e7f7d6f4267">Osim2URDF</a>
</li>
<li>writeOneDofJoint()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a91ff40909a5a443d38b7a5ea3ee813f3">Osim2URDF</a>
</li>
<li>writeSpecificJoint()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a7d741d9609198ff6fe1ec633a749d59d">Osim2URDF</a>
</li>
<li>writeTransmission()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a4bec839530c3499b27041d88735b0341">Osim2URDF</a>
</li>
</ul>


<h3><a id="index_x"></a>- x -</h3><ul>
<li>xacro
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a02b78de9681a882cd0599185ebdf4d75">Osim2URDF</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
